# Uses of Class
java.awt.JobAttributes.DialogType

Packages that use JobAttributes.DialogType
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.

## Uses of JobAttributes.DialogType in java.awt

Fields in java.awt declared as JobAttributes.DialogType
Modifier and Type
Field
Description
`static final JobAttributes.DialogType`
JobAttributes.DialogType.`COMMON`
The `DialogType` instance to use for specifying the cross-platform, pure Java print dialog.
`static final JobAttributes.DialogType`
JobAttributes.DialogType.`NATIVE`
The `DialogType` instance to use for specifying the platform's native print dialog.
`static final JobAttributes.DialogType`
JobAttributes.DialogType.`NONE`
The `DialogType` instance to use for specifying no print dialog.
Methods in java.awt that return JobAttributes.DialogType
Modifier and Type
Method
Description
`JobAttributes.DialogType`
JobAttributes.`getDialog()`
Returns whether, for jobs using these attributes, the user should see a print dialog in which to modify the print settings, and which type of print dialog should be displayed.
Methods in java.awt with parameters of type JobAttributes.DialogType
Modifier and Type
Method
Description
`void`
JobAttributes.`setDialog(JobAttributes.DialogType dialog)`
Specifies whether, for jobs using these attributes, the user should see a print dialog in which to modify the print settings, and which type of print dialog should be displayed.
Constructors in java.awt with parameters of type JobAttributes.DialogType
Modifier
Constructor
Description
``
`JobAttributes(int copies, JobAttributes.DefaultSelectionType defaultSelection, JobAttributes.DestinationType destination, JobAttributes.DialogType dialog, String fileName, int maxPage, int minPage, JobAttributes.MultipleDocumentHandlingType multipleDocumentHandling, int[][] pageRanges, String printer, JobAttributes.SidesType sides)`
Constructs a `JobAttributes` instance with the specified values for every attribute.